Skip to main content
Infrastructure/Installer
GETInstallerSince 1.0SynchronousAuth Required

StreamDeployLogs

Stream real-time deployment log entries as server-sent events

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • deployIdStringRequired

    ID of the deploy session to stream logs from

Responses

200 OK

On success, this API returns the following response structure.

  • resultObject

    执行结果。

    • eventString

      Event type for this log entry

      Example: log

    • dataString

      JSON-encoded log entry or completion status message

      Example: {"time":"2026-04-16T10:00:00Z","level":"INFO","message":"step done"}

  • errorObject

    错误码。操作成功时为 null,失败时返回具体错误信息。

    • codeString

      gRPC status code (e.g. NOT_FOUND, INVALID_ARGUMENT)

      Example: UNAUTHENTICATED

    • messageString

      Human-readable error message

      Example: invalid or missing token

Endpoint

GET/api/v1/installer/deploy/{deployId}/logs

/api/v1/installer/deploy/{deployId}/logs

Operation ID

StreamDeployLogs

Permalink

Request Example

curl -X GET '{host}/api/v1/installer/deploy/{deployId}/logs' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "result": {},
  "error": {}
}

Change History

This API has no change history records yet.

View all change history